# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import GLLM_parser_pb2 as GLLM__parser__pb2


class ParserStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.get_parse_model = channel.unary_unary(
                '/Parser/get_parse_model',
                request_serializer=GLLM__parser__pb2.UserInputs.SerializeToString,
                response_deserializer=GLLM__parser__pb2.ResultText.FromString,
                )


class ParserServicer(object):
    """Missing associated documentation comment in .proto file."""

    def get_parse_model(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_ParserServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'get_parse_model': grpc.unary_unary_rpc_method_handler(
                    servicer.get_parse_model,
                    request_deserializer=GLLM__parser__pb2.UserInputs.FromString,
                    response_serializer=GLLM__parser__pb2.ResultText.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'Parser', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Parser(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def get_parse_model(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Parser/get_parse_model',
            GLLM__parser__pb2.UserInputs.SerializeToString,
            GLLM__parser__pb2.ResultText.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
